Class | YARD::Serializers::ProcessSerializer
In: | lib/yard/serializers/process_serializer.rb
Parent: | Base

Serializes an object to a process (like less)

@example Serializing to a pager (less)

      serializer = ProcessSerializer.new('less')
      serializer.serialize(object, "data!")

### Methods

new serialize

### Public Class methods

new(cmd)

Creates a new ProcessSerializer for the shell command `cmd`

@param [String] cmd the command that will accept data on stdin

### Public Instance methods

serialize(object, data)

Overrides serialize behaviour and writes data to standard input of the associated command

[Validate]